// Copyright © 2020 The CefSharp Authors. All rights reserved.
//
// Use of this source code is governed by a BSD-style license that can be found in the LICENSE file.
namespace CefSharp.DevTools.Audits
{
    /// <summary>
    /// MixedContentResourceType
    /// </summary>
    public enum MixedContentResourceType
    {
        /// <summary>
        /// Audio
        /// </summary>
        [System.Runtime.Serialization.EnumMemberAttribute(Value = ("Audio"))]
        Audio,
        /// <summary>
        /// Beacon
        /// </summary>
        [System.Runtime.Serialization.EnumMemberAttribute(Value = ("Beacon"))]
        Beacon,
        /// <summary>
        /// CSPReport
        /// </summary>
        [System.Runtime.Serialization.EnumMemberAttribute(Value = ("CSPReport"))]
        CSPReport,
        /// <summary>
        /// Download
        /// </summary>
        [System.Runtime.Serialization.EnumMemberAttribute(Value = ("Download"))]
        Download,
        /// <summary>
        /// EventSource
        /// </summary>
        [System.Runtime.Serialization.EnumMemberAttribute(Value = ("EventSource"))]
        EventSource,
        /// <summary>
        /// Favicon
        /// </summary>
        [System.Runtime.Serialization.EnumMemberAttribute(Value = ("Favicon"))]
        Favicon,
        /// <summary>
        /// Font
        /// </summary>
        [System.Runtime.Serialization.EnumMemberAttribute(Value = ("Font"))]
        Font,
        /// <summary>
        /// Form
        /// </summary>
        [System.Runtime.Serialization.EnumMemberAttribute(Value = ("Form"))]
        Form,
        /// <summary>
        /// Frame
        /// </summary>
        [System.Runtime.Serialization.EnumMemberAttribute(Value = ("Frame"))]
        Frame,
        /// <summary>
        /// Image
        /// </summary>
        [System.Runtime.Serialization.EnumMemberAttribute(Value = ("Image"))]
        Image,
        /// <summary>
        /// Import
        /// </summary>
        [System.Runtime.Serialization.EnumMemberAttribute(Value = ("Import"))]
        Import,
        /// <summary>
        /// Manifest
        /// </summary>
        [System.Runtime.Serialization.EnumMemberAttribute(Value = ("Manifest"))]
        Manifest,
        /// <summary>
        /// Ping
        /// </summary>
        [System.Runtime.Serialization.EnumMemberAttribute(Value = ("Ping"))]
        Ping,
        /// <summary>
        /// PluginData
        /// </summary>
        [System.Runtime.Serialization.EnumMemberAttribute(Value = ("PluginData"))]
        PluginData,
        /// <summary>
        /// PluginResource
        /// </summary>
        [System.Runtime.Serialization.EnumMemberAttribute(Value = ("PluginResource"))]
        PluginResource,
        /// <summary>
        /// Prefetch
        /// </summary>
        [System.Runtime.Serialization.EnumMemberAttribute(Value = ("Prefetch"))]
        Prefetch,
        /// <summary>
        /// Resource
        /// </summary>
        [System.Runtime.Serialization.EnumMemberAttribute(Value = ("Resource"))]
        Resource,
        /// <summary>
        /// Script
        /// </summary>
        [System.Runtime.Serialization.EnumMemberAttribute(Value = ("Script"))]
        Script,
        /// <summary>
        /// ServiceWorker
        /// </summary>
        [System.Runtime.Serialization.EnumMemberAttribute(Value = ("ServiceWorker"))]
        ServiceWorker,
        /// <summary>
        /// SharedWorker
        /// </summary>
        [System.Runtime.Serialization.EnumMemberAttribute(Value = ("SharedWorker"))]
        SharedWorker,
        /// <summary>
        /// Stylesheet
        /// </summary>
        [System.Runtime.Serialization.EnumMemberAttribute(Value = ("Stylesheet"))]
        Stylesheet,
        /// <summary>
        /// Track
        /// </summary>
        [System.Runtime.Serialization.EnumMemberAttribute(Value = ("Track"))]
        Track,
        /// <summary>
        /// Video
        /// </summary>
        [System.Runtime.Serialization.EnumMemberAttribute(Value = ("Video"))]
        Video,
        /// <summary>
        /// Worker
        /// </summary>
        [System.Runtime.Serialization.EnumMemberAttribute(Value = ("Worker"))]
        Worker,
        /// <summary>
        /// XMLHttpRequest
        /// </summary>
        [System.Runtime.Serialization.EnumMemberAttribute(Value = ("XMLHttpRequest"))]
        XMLHttpRequest,
        /// <summary>
        /// XSLT
        /// </summary>
        [System.Runtime.Serialization.EnumMemberAttribute(Value = ("XSLT"))]
        XSLT
    }
}